Article ID: 119804, created on Mar 30, 2015, last review on Mar 30, 2015

  • Applies to:
  • Plesk 11.5 for Linux

Symptômes

PHP échoue avec un avertissement du type (ou similaire, mais référant à un autre module) :

[root@server ~]# php -v
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/apc.so' - /usr/lib64/php/modules/apc.so: undefined symbol: zend_new_interned_string in Unknown on line 0 
PHP 5.3.3 (cli) (built: Dec 11 2013 03:29:57) Copyright (c) 1997-2010 The PHP Group Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

Cause

Le module PHP a été corrompu après la réinstallation / la mise à niveau (dans notre cas - APC).

Résolution

Réinstallez le module PHP :

[root@server ~]# pecl uninstall apc
[root@server ~]# pecl install apc

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 01bc4c8cf5b7f01f815a7ada004154a2 29d1e90fd304f01e6420fbe60f66f838 0a53c5a9ca65a74d37ef5c5eaeb55d7f

Email subscription for changes to this article
Save as PDF